<div class="main-container">
    <header class="header-search">
      <img src="../../../assets/icons/backIcon.png" srcset="img/icon@2x.png 2x, img/icon@3x.png 3x" class="icon-back" (click)="goHome()">
      <div class="input-box">
        <input [ngModel]="searchInput" (ngModelChange)="valueChange($event)" type="text" placeholder="Your city name" class="search-input" >
        <img src="../../../assets/icons/searchIcon.png" srcset="img/icon@2x.png 2x, img/icon@3x.png 3x" class="searchIcon" (click)="search()">
      </div>
    </header>
  
    <div class="forecast-info-container">
      <div class="title-box">
        <h1 class="title-txt">Weather in {{this.forecastData?.city?.name}}, {{this.forecastData?.city?.country}}</h1>
        <p class="date-txt">{{this.fixDateAndTime(this.forecastData?.list[0].dt_txt)}}</p>
      </div>
      <div class="forecast-box">
        <div class="temperature-info-box">
          <div class="current-temperature-box">
          <div class="temperature-txt-box">
            <h2 class="temperature-txt-h2">{{this.fixTemp(this.forecastData?.list[0].main.temp)}}ºC</h2>
          </div>
            <div class="temperature-icon-box">
            <img src="https://openweathermap.org/img/w/{{this.forecastData?.list[0].weather[0].icon}}.png" class="weather-icon">
              <p class="forecast-description-text">{{this.forecastData?.list[0].weather[0].description}}</p>
            </div>
          </div>
          <div class="max-min-sun-box">
            <div class="max-box">
              <p class="label-txt">Máx</p>
              <p class="max-txt">{{this.fixTemp(this.forecastData?.list[0].main.temp_max)}}ºC</p>
            </div>
            <div class="min-box">
              <p class="label-txt">Mín</p>
              <p class="min-txt">{{this.fixTemp(this.forecastData?.list[0].main.temp_min)}}ºC</p>
            </div>
            <div class="sunrise-box">
              <p class="label-txt">Sunrise</p>
              <p class="sunrise-sunset-txt">{{this.weatherData?.sys.sunrise * 1000 | date:'HH:mm'}}</p>
            </div>
            <div class="sunset-box">
              <p class="label-txt">Sunset</p>
              <p class="sunrise-sunset-txt">{{this.weatherData?.sys.sunset * 1000 | date:'HH:mm'}}</p>
            </div>
          </div>
        </div>
        <div class="five-day-forecast-box">
          <div class="header-title">
        <h2 class="five-day-title">5 day weather forecast</h2>
          <p class="five-day-p">every 3 hours</p>
          </div>
          <div class="forecast-table" *ngIf="loaded">
          <app-forecast-card *ngFor="let forecast of forecastData?.list"
          [forecastDate]="forecast.dt_txt"
          [iconCode]="forecast.weather[0].icon"
          [forecastDescription]="forecast.weather[0].description"
          [maxTemp]="forecast.main.temp_max"
          [minTemp]="forecast.main.temp_min" n></app-forecast-card>
  
          </div>
          </div>
      </div>
  
    </div>
  
  </div>